octonet - Segnalazione #333

Importazione CSV via octonet: gestione dei gruppi secondari
06/28/2017 07:14 AM - Christopher R. Gabriel

Status: Chiuso Start date: 06/28/2017
Priority: Normale Due date:

Assignee: Michael Guggenberg % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Valutare la modalita' per permettere di specificare nel file CSV un elenco di gruppi secondari, a cui gli utenti devono essere aggiunti
al momento dell'importazione. Se il gruppo secondario specificato non esiste, deve essere creato.

Valutare piu' che altro il formato dell'elenco, che non puo' essere comma separated (altrimenti diventano altri campi) e che sia per’'
facilmente realizzabile da segreterie etc.

Associated revisions

Revision e32bce48 - 06/29/2017 11:30 AM - Mark Caglienzi
Add field in the template. refs: #333

Revision 5204ae34 - 06/29/2017 11:31 AM - Mark Caglienzi
Add field in the form class. refs: #333

Revision 2b2d7¢85 - 06/29/2017 11:31 AM - Mark Caglienzi
Add field also here, to check it. refs: #333

Revision 5e45259d - 06/29/2017 12:43 PM - Mark Caglienzi

Make self.valid_groups a set instead of a frozenset. refs: #333

Revision da428a32 - 06/29/2017 12:44 PM - Mark Caglienzi

Create (and cache) secondary groups. refs: #333

Revision 2f3e11dc - 06/29/2017 03:56 PM - Mark Caglienzi

Add imported users to secondary groups. refs: #333

Revision fada73d4 - 06/29/2017 04:14 PM - Christopher R. Gabriel

version bump, refs #333

History

#1 - 06/29/2017 09:53 AM - Christopher R. Gabriel
- Project changed from Nuovi Sviluppi to octonet

- Assignee set to Mark Caglienzi

Aggiungiamo il supporto per i gruppi secondari (nuova colonna).

I gruppi li facciamo separati da spazi, quindi se il campo del csv contiene uno spazio (dopo un trim()) allora splittiamo e loopiamo sui nomi per
aggiungergli come gruppi secondari dell'utente. Se il gruppo non esiste, crearlo. Valutare cache lato octonet rispetto ai gruppi creati/esistenti.
#2 - 06/29/2017 09:55 AM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#3 - 06/29/2017 04:02 PM - Mark Caglienzi
- File import_10_utenti_misti.csv added
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

2f3et11dc:
e Aggiunto il supporto per il nuovo campo all'importer
e Octonet mantiene la cache dei gruppi esistenti (creandoli se necessario, ma solo per i gruppi secondari, per il gruppo primario il workflow &
rimasto invariato -> errore se inesistente e nessun import, nemmeno parziale)
e Gli utenti vengono aggiunti al gruppo secondario o ai gruppi secondari
Codice pushato nel branch t333 e non mergiato, da verificare
Allego il file CSV che ho usato per i test (10 utenti, 5 studenti e 5 docenti, un docente da aggiungere a un gruppo secondario, uno studente da

aggiungere a un gruppo secondario, uno studente da aggiungere a due gruppi secondari, separati da spazio. Tutti gli altri utenti non sono in nessun
gruppo secondario)

#4 - 06/29/2017 04:12 PM - Christopher R. Gabriel

- File deleted (import_10_utenti_misti.csv)
#5 - 06/29/2017 04:13 PM - Christopher R. Gabriel

- File import_10_utenti_misti.csv added

- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Verificato, per me ok.
Per michael, che ha chiesto la feature: i gruppi secondari stanno in campo singolo, separati da spazi. Allego file di test.

Il pacchetto pubblicato e' octonet 0.2.17-1

#6 - 08/04/2017 12:34 PM - Elena Grandi

Vedo che il ticket & in attesa di conferma da piu di un mese: la feature funziona come richiesto?

#7 - 09/01/2017 04:41 PM - Michael Guggenberg
- % Done changed from 0 to 100

risolto

#8 - 09/01/2017 04:42 PM - Michael Guggenberg

- Status changed from Commenti to Chiuso
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/2f3e11dc6c31c4d1b6b46a99ce6bdbf38780a371

Files

import_10_utenti_misti.csv 887 Bytes 06/29/2017 Christopher R. Gabriel
